Bug 201515 - Graphic card support during installation process
Graphic card support during installation process
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
6
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-06 21:50 EDT by Jean Christophe Diomard Arrazau
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-26 23:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
previous logs (34.26 KB, application/octet-stream)
2006-09-20 00:57 EDT, Jean Christophe Diomard Arrazau
no flags Details
current one i didnt reinstall from scratch ... still downloading g iso images of FC6t3 (33.58 KB, application/octet-stream)
2006-09-20 01:00 EDT, Jean Christophe Diomard Arrazau
no flags Details

  None (edit)
Description Jean Christophe Diomard Arrazau 2006-08-06 21:50:19 EDT
Description of problem:

installation has to be done in text mode 
then after level3 boot, "yum upgrade" 
an "system-config-display --noui --reconfigure" is necessary to have a working 
display.

Version-Release number of selected component (if applicable):

FC6 test1 upgraded on the 04 aug 2006

How reproducible:

any installation

Steps to Reproduce:
1. boot from the DVD press return for default install
2.
3.
  
Actual results:

plain color cycling on the screen, no pointer, incorrect display


Expected results: the normal anaconda interface and a successfull graphical 
firstboot launch afterwards...


Additional info:
# lspci
0000:00:0b.0 Host bridge: Apple Computer Inc. UniNorth 2 AGP
0000:00:10.0 VGA compatible controller: ATI Technologies Inc M11 NV [FireGL 
Mobility T2e] (rev 80)
0001:10:0b.0 Host bridge: Apple Computer Inc. UniNorth 2 PCI
0001:10:12.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 
54g] 802.11g Wireless LAN Controller (rev 02)
0001:10:17.0 Class ff00: Apple Computer Inc. KeyLargo/Intrepid Mac I/O
0001:10:18.0 USB Controller: Apple Computer Inc. KeyLargo/Intrepid USB
0001:10:19.0 USB Controller: Apple Computer Inc. KeyLargo/Intrepid USB
0001:10:1a.0 USB Controller: Apple Computer Inc. KeyLargo/Intrepid USB
0001:10:1b.0 USB Controller: NEC Corporation USB (rev 43)
0001:10:1b.1 USB Controller: NEC Corporation USB (rev 43)
0001:10:1b.2 USB Controller: NEC Corporation USB 2.0 (rev 04)
0002:20:0b.0 Host bridge: Apple Computer Inc. UniNorth 2 Internal PCI
0002:20:0d.0 Class ff00: Apple Computer Inc. UniNorth/Intrepid ATA/100
0002:20:0e.0 FireWire (IEEE 1394): Apple Computer Inc. UniNorth 2 FireWire 
(rev 81)
0002:20:0f.0 Ethernet controller: Apple Computer Inc. UniNorth 2 GMAC (Sun 
GEM) (rev 80)

# cat /etc/X11/xorg.conf
# Xorg configuration created by system-config-display

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "ServerFlags"
        Option      "AllowMouseOpenFail" "yes"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        Option      "UseFBDev" "true"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     16
EndSection
Comment 1 Chris Lumens 2006-08-08 13:14:58 EDT
Sounds like X isn't doing the right thing in this case.  X guys - if this is a
bug on my end, please change the component to rhpxl and let me know what I
should be doing.
Comment 2 Adam Jackson 2006-08-08 18:40:55 EDT
Can you attach the X log and config file from the broken configuration please?
Comment 3 Adam Jackson 2006-08-21 14:47:08 EDT
Reporter: ping.  Please attach the X log from a failed startup so I can see what
was going wrong.
Comment 4 Jean Christophe Diomard Arrazau 2006-09-20 00:57:31 EDT
Created attachment 136702 [details]
previous logs

sorry for the delay, i have been piling up different issues, the latest updates
are allright an i can boot my machine properly without needing an ssh session
to gain access to it  ...
Comment 5 Jean Christophe Diomard Arrazau 2006-09-20 01:00:11 EDT
Created attachment 136703 [details]
current one i didnt reinstall from scratch ... still downloading g iso images of FC6t3
Comment 6 Matthew Miller 2007-04-06 12:16:08 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 7 Jean Christophe Diomard Arrazau 2007-04-26 23:41:52 EDT
as i m not owning this hardware anymore, i m closing the bug
thanks for you help

Note You need to log in before you can comment on or make changes to this bug.